#!/usr/bin/env python

"""HMM Setup script"""

from distutils.core import setup,Extension

extra_args = []

if __name__ == '__main__' :
    setup(name="hmm",
          version= "0.4",
          licence="GPL",
          description = "Hidden Markov Model in Python",
          author = "Alexandre Fayolle",
          author_email="Alexandre.Fayolle@logilab.fr",
          url = "http://www.logilab.org/hmm",
          packages=['logilab','logilab.hmm'],
          long_description = """Hidden Markov Models in Python
Implementation based on _A Tutorial on Hidden Markov Models and Selected
Applications in Speech Recognition_, by Lawrence Rabiner, IEEE, 1989.
This module uses numeric python multyarrays to improve performance and
reduce memory usage.""",
          ext_modules = [Extension('logilab.hmm._hmm', ['logilab/hmm/_hmm.c'],libraries=['m'],extra_compile_args=extra_args)]
          )
      
